#
# spec file for package perl-FTN-Nodelist
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-FTN-Nodelist
Version:        1.08
Release:        1.2
%define cpan_name FTN-Nodelist
Summary:        Process FTN nodelist
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/FTN-Nodelist/
Source0:        http://www.cpan.org/authors/id/J/JA/JAME/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(FTN::Address) >= 1.01
Requires:       perl(FTN::Address) >= 1.01
%{perl_requires}

%description
'FTN::Nodelist' contains functions that can be used to process Fidonet
Technology Network nodelist and pointlist.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README

%changelog
* Mon Jul  4 2016 coolo@suse.com
- updated to 1.08
  see /usr/share/doc/packages/perl-FTN-Nodelist/CHANGES
  [#]  1.08  2013/05/09 Move 'pm' files to the more standard locations under the
  [#]                   lib/ directory. Add Author & Copyright information for
  [#]                   Robert James Clay <jame@rocasa.us>. Match version number
  [#]                   of FTN::Nodelist::Node to that of main FTN::Nodelist module.
  [#]
* Fri Jan 21 2011 coolo@novell.com
- initial package 1.07
  * created by cpanspec 1.78.03
